﻿using Microsoft.Practices.Composite.Modularity;
using Microsoft.Practices.Composite.Regions;
using Microsoft.Practices.Unity;
using Prism.Module1.Views;

namespace Prism.Module1
{
	public class InitModule : IModule
	{
		IUnityContainer _container;
		IRegionManager _regionManager;

		public InitModule(IUnityContainer Container, IRegionManager RegionManager)
		{
			_container = Container;
			_regionManager = RegionManager;
		}

		public void Initialize()
		{
			_regionManager.Regions["Module1Region"].Add(new Module1View(), "Module1View");
		}
	}
}