﻿using Microsoft.Practices.Composite.Modularity;
using Microsoft.Practices.Composite.Regions;
using Microsoft.Practices.Unity;
using Prism.Module2.Views;

namespace Prism.Module2
{
	public class InitModule : IModule
	{
		IUnityContainer _container;
		IRegionManager _regionManager;

		public InitModule(IUnityContainer Container, IRegionManager RegionManager)
		{
			_container = Container;
			_regionManager = RegionManager;
		}

		public void Initialize()
		{
			_regionManager.Regions["Module2Region"].Add(new Module2View(), "Module2View");
		}
	}
}